
/***************************************************************************
 *                                                                         *
 *   KCPULoad is copyright (c) 1999-2000, Markus Gustavsson                *
 *                         (c) 2002, Ben Burton                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kcpudock.h"

#include <klocale.h>

KCPUDock::KCPUDock(int whichCPU, StatPopup *parent, const char *name) :
        StatDock(whichCPU, i18n("C"), parent, name) {
}

void KCPUDock::setCPULabel(int set) {
    if (set == 1)
        setLabel(i18n("C 0"));
    else if (set == 2)
        setLabel(i18n("C 1"));
    else
        setLabel(i18n("C"));

    repaint();
}

